Moon & Sun Info
POST
/api/calc/moon-sun
Get Moon and Sun information for a specific place and time. Includes moon phase, illumination, distance, and sun rise/set/twilight times.
Authorizations
ApiKeyAuth
API key for authentication. Get your API key from the dashboard.
Type
API Key (header: X-Api-Key)
Request Body
application/json
JSON "dateTime": "string", "location": { "longitude": 0, "latitude": 0, "timezone": "string" }
{
}
Responses
Moon and Sun information
application/vnd.api+json
JSON "data": { "moon": { "phaseName": "string", "phase": 0, "illumination": 0, "age": 0, "distance": 0, "diameterDegrees": 0, "rise": "string", "set": "string" }, "sun": { "rise": "string", "set": "string", "transit": "string", "distance": 0, "diameterDegrees": 0, "twilight": { "civil": { "begin": "string", "end": "string" }, "nautical": { "begin": "string", "end": "string" }, "astronomical": { "begin": "string", "end": "string" } } } }
{
}